Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.eside.flingbox.graphics
Class SceneRenderer

    java.lang.Object
      edu.eside.flingbox.graphics.SceneRenderer

    public class SceneRenderer

extends java.lang.Object

`SceneRenderer` handles functions to render `Scene` into `GLSurfaceView` space by `Renderer` interface. Defines `Renderizable` interface witch should be implemented by on scene bodys to be rendered.

Constructor Summary
`SceneRenderer()`

Method Summary
`void` | `add(RenderBody render)` Adds one object to be rendered.
`RenderCamera` | `getCamera()`
`void` | `onDrawFrame(GL10 gl)` Called to draw the current frame.
`void` | `onSurfaceChanged(GL10 gl, int width, int height)` Called when the surface is resized and after onSurfaceCreated.
`void` | `onSurfaceCreated(GL10 gl, EGLConfig config)` First called when Surface is Created.
`boolean` | `remove(RenderBody render)` Removes object from scene

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SceneRenderer

    public SceneRenderer()

Method Detail

### add

    public void add(RenderBody render)

  Adds one object to be rendered.

  Parameters:
    `render` - object

### remove

    public boolean remove(RenderBody render)

  Removes object from scene

  Parameters:
    `render` - Render to be removed
  Returns:
    true if removed, else false

### getCamera

    public RenderCamera getCamera()

  Returns:
    Camera for current scene

### onDrawFrame

    public void onDrawFrame(GL10 gl)

  Called to draw the current frame.

### onSurfaceChanged

    public void onSurfaceChanged(GL10 gl,
                                 int width,
                                 int height)

  Called when the surface is resized and after onSurfaceCreated.

### onSurfaceCreated

    public void onSurfaceCreated(GL10 gl,
                                 EGLConfig config)

  First called when Surface is Created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD